/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}

blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* clear */

/**
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    contenteditable attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that are clearfixed.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */
 .cf:before,
 .cf:after {
     content: " "; /* 1 */
     display: table; /* 2 */
 }
 
 .cf:after {
     clear: both;
 }
 
 /**
  * For IE 6/7 only
  * Include this rule to trigger hasLayout and contain floats.
  */
 .cf {
     *zoom: 1;
 }


/* font-face */


@font-face {
    font-family: 'bebas_neueregular';
    src: url('font/bebasneue_regular-webfont.woff') format('woff');
}
/*Style*/

body{
    font: 16px/28px arial, sans-serif;
    background-color: #eaeaea;
    color: #333333;
    background-image: url(img/skulls.png);
}
.container{
    max-width: 960px;
    margin: auto;
    margin-top: 40px;
    background-color: #ffffff;
    position: relative;
    box-shadow: 3px 3px 4px rgba(0,0,0,0.5);
    
}

.header{
    text-align: center;
    padding: 40px;
    padding-bottom: 40px;

}

.header .judul{
    font-size: 40px;
    font-weight: bold;
    font-family: "Open Sans", sans-serif;
}

.top-bar ul li {
    display: inline-block;
    margin-top: 7px;
    margin-left: 5px;
    margin-right: 5px;
    margin-bottom: 7px;
}

.top-bar a{
    text-decoration: none;
    color: white;
    padding: 3px;
    box-sizing: border-box;
}

.top-bar a:hover{
    background-color: lightskyblue;
    color: white; 
}

.hero{
    height: 280px;
    text-align: center;
    border-top: 5px solid darkslategray;
    border-bottom: 5px solid dimgray;
    font-family: "bebas_neueregular", "Arial Narrow", sans-serif;
    font-weight: bold;
    color: rgba(119, 136, 153, 0.9);
    
}

.hero h1{
    font-size:  30px;
    transform: rotate(-10deg);
    margin-top: 3px;
}

.hero h2{
    margin-top: 1px;
    font-size: 20px;
    transition: .3s;
}

.profileku{
    height: 160px;
    margin-top: 20px;
    filter: drop-shadow(0px 0px 0px rgba(0, 0, 0, .3)) grayscale(100%);
    transition: .3s;
    
}

.party{
    position: absolute;
    left: 24.5%;
    top: 49.5px;
    text-align: center;
    transition: 1s .06s;
    transform: scaleX(0) scaleY(0);
    
    
}


.hero:hover .party{
 transform: scaleX(.5) scaleY(.7);
}
.hero:hover h2{
    text-shadow: 1px 1px 1px rgba(0, 0, 0, .3);
}

@media only screen and (max-width: 900px) {.hero:hover .party{
    transform: scale(0);
}
}

.hero:hover .profileku{
filter: drop-shadow(7px 4px 1px rgba(0, 0, 0, .3)) grayscale(0%);
height: 165px;
margin-top: 15px;

}

.content{
    /* padding-top: 20px; */
}

.content h2{
    font-size: 32px;
    font-weight: bold;
}

.content p{
    font-size: 14px;
    /* margin-bottom: 20px; */
}

.deskripsi-diri{
    background-image: url(img/1.png);
    height:auto;
    line-height: 40px;
    text-align: center;
    position: relative;
    box-sizing: border-box;
    transition: 1s;
}

.deskripsi-diri h2{
    padding-top: 40px;
    padding-bottom: 30px;
    letter-spacing: 10px;
    word-spacing: 20px;
}

.deskripsi-diri p{
    font-weight: 400;
    margin-top: 340px;
}

.deskripsi-diri img{
    transform: scale(.45);
    position: absolute;
    left: -166px;
    top:-100px;
    box-shadow: 5px 5px 3px rgba(0,0,0,.5);
}

@media only screen and (max-width: 900px) {.deskripsi-diri img{
        transform: scale(.3);
        left:-420px;
        top:-50px;
}}
.kemampuan{
    border-top: 5px solid lightskyblue;
    background-image: url(img/2.png);
    height:auto;
    margin-top: 0;
}

.kemampuan h2,
.pendidikan-formal h2,
.pendidikan-informal h2,
.pengalaman h2{
    position: relative;
    text-align: center;
    padding-bottom: 37px;
    letter-spacing: 10px;
    word-spacing: 20px;
    padding-top: 40px;
    line-height: 40px;
}

@media only screen and (max-width: 635px){
    .deskripsi-diri h2,
    .kemampuan h2,
    .pendidikan-formal h2,
    .pendidikan-informal h2,
    .pengalaman h2{
        padding-top: 90px;
}}

.kolom-pendidikan-formal,
.kolom-pendidikan-informal,
.kolom-pengalaman{
    text-align:center;
    display: grid;
	grid-template-columns: 1fr 1fr;
    left:280px;
    line-height: 115px;
    font-size:20px;
    font-weight: bold;
}

.kolom-kemampuan{
    position: relative;
    font-family: "jokerman";
    display: grid;
	grid-template-columns: 1fr 1fr;
    left: 130px;
    line-height: 115px;
    font-size:20px;
    font-family: "jokerman";
    font-weight: bold;
}

.kolom-pendidikan-formal p{
    font-size:20px;
    font-family: "Times New Roman";
    font-weight: bold;
}

.kolom-pendidikan-informal p{
    font-size:20px;
    font-family: "Arial Narrow";
    font-weight: bold;
}

.pengalaman p{
    font-size:20px;
    font-family: "bebas_neueregular";
    font-weight: bold;
    letter-spacing: 2px;
}

@media only screen and (max-width: 900px) {.kolom-kemampuan{
    display: block;
    grid-template-columns: 0;
    line-height: 65px;
    left:110px;
}}


.pendidikan-formal{
    border-top: 5px solid gray;
    background-image: url(img/3.png);
    height:auto;
}
    
.pendidikan-informal{
    border-top: 5px solid mediumpurple;
    background-image: url(img/4.png);
    height:auto;
}

.pengalaman{
    border-top: 5px solid midnightblue;
    background-image: url(img/5.png);
    height:auto;
}

.footer{
    background-color: #333333;
    padding: 10px;
}

.footer .copy{
    color: #eaeaea;
    text-align: center;
    font-size: 12px;
}

.top-bar{
	position:fixed;
	top:0;
	right:0;
	left:0;
    z-index: 999;
    height: auto;
	background-color: rgba(6,6,6,.5);
    border-bottom: 3px solid whitesmoke;
}    

.keinginan{
    font: bold 18px/36px "bebas_neueregular", "Arial Narrow", arial, sans-serif;
    background-color: #dddddd;
    height: 350px;
}

.keinginan h1{
    font-size:  80px;
    /* margin-top: 60px; */
    padding-top: 40px;
    text-align: center;
    text-shadow: 1px 1px 1px white;
}

.containers{
    width: 600px;
    background-color: white;
    margin: 40px auto;
    padding: 30px;
    box-shadow: 0 0 3px 3px rgba(0,0,0,.3);
    border-radius: 5px;
}

.gallery li{
    list-style-type: none;
    width:120px;
    height:120px;
    border: 5px solid #666666;
    float:left;
    margin-right: 20px; 
    position: relative;
}

.gallery li,
.gallery li span,
.gallery li img{
    border-radius: 50%;
}

.gallery li span{
    display: block;
    width:120px;
    height: 120px;
    background-color: rgba(200,200,200,.5);
    position: absolute;
    top: 0;
    text-align: center;
    line-height: 120px;
    color: #333333;
    text-shadow: 1px 1px 1px #dddddd;
    opacity: 0;
    transform: scale(0) rotate(0);
    transition: .3s; 
}

.gallery li a:hover span {
    opacity: 1;
    transform: scale(1) rotate(360deg);  
}

/* overlay */

.overlay{
    position: fixed;
    height:0;
    width:0;
    overflow: hidden;
    top:0;
    left:0;
    z-index:999;
    background-color: rgba(0,0,0,0);
    transition: .8s;
    text-align: center;
    padding:100px 0;
}

.overlay:target {
    width:auto;
    height:auto;
    bottom:0;
    right:0;
    background-color: rgba(0,0,0,.7);
}

.overlay:target img{
    animation:fade 1s;
}

.gallery li .overlay img {
    border-radius:0%;
    max-height:100%;
    box-shadow: 2px 2px 7px rgba(0,0,0,.5)
}

.overlay .close{
    position:absolute;
    top:50px;
    left: 50%;
    margin-left:-27px;
    color: white;
    text-decoration: none;
    background-color: black;
    border: 1px solid white;
    line-height:14px;
    padding:5px;
    opacity: 0;
  
}

.overlay:target .close{
    animation: slidedownfade .5s .5s forwards;
}

/* navigasi */
.next, .prev{
    width: 57px;
    height: 93px;
    background-image: url(img/right-arrow.png);
    position: absolute;
    top: 44%;
    margin-left: 50px;
    opacity:0;

}

.prev{
    top: 44%;
    background-image: url(img/left-arrow.png);
    margin-left: -105px;
}

.overlay:target .next,
.overlay:target .prev{
    animation: fade .5s .5s forwards;
}

#myBtn {
    display: none; 
    position: fixed;
    bottom: 20px; 
    right: 30px; 
    z-index: 99; 
    border: none;
    outline: none;
    background-color: rgb(218, 164, 40); 
    color: white; 
    cursor: pointer;
    padding: 15px;
    border-radius: 10px;
    font-size: 18px;
  }
  
  #myBtn:hover {
    background-color: rgb(255, 204, 86); 
  }

/* animasi */

@keyframes fade{
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@keyframes zoomandfade {
    0% {
        transform: scale(0);
        opacity:0;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes slidedownfade{
    0% {
        opacity:0;
        margin-top: -20px;
    }
    100% {
        opacity:1;
        margin-top:0;
    }
}

